/* CommunicationController.h created by epeyton on Mon 08-Mar-1999 */

#import <AppKit/AppKit.h>

@class BuddyItem, GroupItem;

@interface CommunicationController : NSObject
{
    //fd_set			fds, errfds;
    //char			buf[256];
    //time_t			t;

    int				commandToSend;
    BuddyItem		*nextUser;
    NSString 		*nextMessage;
    //int 			icqSocket;
    //unsigned long 			cur_status;

}

- (void)initializeRunLoopCheck;

// Called every once and a while
- (void)executeRunLoopCheck:(NSTimer *)timer;

- (int)commandToSend;
- (void)setCommandToSend:(int)commandName;

- (BuddyItem *)nextUser;
- (void)setNextUser:(BuddyItem *)buddyItem;

- (NSString *)nextMessage;
- (void)setNextMessage:(NSString *)aMessage;

- (void)shutdownServices;

- (void)sendIMToUser:(BuddyItem *)buddy message:(NSString *)message;
- (void)sendAwayIMToUser:(BuddyItem *)buddy message:(NSString *)message;

- (void)addBuddyItem:(BuddyItem *)aBuddyItem;
- (void)removeBuddyItem:(BuddyItem *)aBuddyItem;

- (int)loginForUser:(NSString *)userName password:(NSString *)password;

- (void)getUserInformationForBuddyItem:(BuddyItem *)aBuddyItem;

- (void)getUserInformationForBuddyNamed:(NSString *)aBuddyName;

- (void)getUserInformationForEmail:(NSString *)anEmailAddress;

- (void)setProfile;

- (void)setBlockedList;

- (void)setStatus:(int)status idleTime:(int)seconds;

@end
