/* Defines.h created by epeyton on Sat 24-Jul-1999 */

// display string values
#define CURRENT_VERSION_STRING 		@"Version 0.8 Beta"
#define COPYRIGHT					@"Fire (c) 1999 Eric Peyton, libfaim (c) 1998-1999 Adam Fritzler"
#define EMPTY_STRING 				@""
#define LOGIN_FAILED 				@"Login failed. Please try again."
#define TOO_SOON_FAILURE			@"Login failed. You are attempting to log in too quickly."
#define NO_PASSWORD_FAILURE			@"Login failed. You must supply a password."
#define NO_SCREENNAME_FAILURE		@"Login failed. You must supply a screenname."
#define LOGIN_GOOD					@"Login Good. Waiting for validation to finish."
#define DATE_FORMAT					@"%I:%M:%S %p"
#define AUTO_RESPONSE				@"Auto Response from"
#define INFORMATION					@"Information"
#define BUDDY_OFFLINE_MSG			@"is not available."
#define BUDDY_BLOCKED_MSG			@"has been blocked.  You can unblock this user in the preferences panel."
#define OK_BUTTON  					@"OK"
#define CANCEL_BUTTON  				@"Cancel"
#define REFUSE_BUTTON  				@"REFUSE"
#define ERROR_MESSAGE				@"did not recieve previous message because of error."
#define SEARCH_FAILED				@"No users were found."
#define DEFAULT_AWAY_ITEM			@"Default"
#define DEFAULT_GROUP_NAME			@"** Default Group **"
#define DEFAULT_AWAY_MESSAGE		@"** NEW ITEM **"
#define MUST_HAVE_ONE_AWAY			@"You can't delete them all :)."
#define ADD_NEW_USER				@"If you wish, we can add a new user for this buddy, if you don't already have him in your system."

// *************** Preferences and defaults *****************
// Sounds
#define PLAY_SOUNDS					@"PlaySounds"
#define PLAY_RECV_SOUNDS			@"PlayRecvSounds"
#define PLAY_SEND_SOUNDS			@"PlaySendSounds"
#define PLAY_FIRST_SOUNDS			@"PlayFirstSounds"
#define PLAY_LOGIN_SOUNDS			@"PlayLoginSounds"
#define PLAY_LOGOUT_SOUNDS			@"PlayLogoutSounds"
// display for buddylist
#define SHOW_DISPLAY_NAME			@"ShowDisplayName"
#define SHOW_BOTH_NAMES				@"ShowBothNames"
// display for display text
#define SHOW_TIME					@"ShowTime"
#define PROFILE_TEXT				@"ProfileText"
// app control
#define FIRST_WINDOW_FRONT			@"FirstWindowFront"
#define APP_TO_FRONT				@"AppToFront"
#define FLASH_CHAT_WINDOWS			@"FlashChatWindows"
#define SEND_ON_ENTER				@"SendOnEnter"
#define DISABLE_SMILIES				@"DisableSmilies"
// image handling
#define IMAGE_PATH					@"ImagePath"
#define ENABLE_IMAGES				@"EnableImages"
#define IMAGE_PATH_LOCAL			@"ImagePathLocal"
// blocking
#define BLOCKED_USERS				@"BlockedUsers"
// idle
#define SEND_IDLE_MESSAGE			@"SendIdleMessage"

// ************* Defines ***********************************
// Tab view settings
#define ONLINE_TAB_TEXT				@"Online"
#define SETUP_TAB_TEXT				@"Setup Lists"
#define APP_TAB_TEXT				@"General"
#define SOUNDS_TAB_TEXT				@"Sounds"
#define IMAGES_TAB_TEXT				@"Images"
#define PROFILE_TAB_TEXT			@"Profile"
#define CHAT_TAB_TEXT				@"Chat Windows"
#define BUDDY_TAB_TEXT				@"Buddy Window"

// BuddyList defines
#define CONFIG_FILE_NAME			@".FireConfig"
#define PLIST_EXTENSION				@"plist"
#define BUDDIES_KEY					@"buddies"
#define GROUPS_KEY					@"groups"
#define	SERVICE_KEY					@"service"
#define DISPLAY_NAME_KEY			@"displayname"
#define BUDDY_NAME_KEY				@"buddyname"
#define GROUP_NAME_KEY				@"groupname"
#define GROUP_EXPANDED_KEY			@"groupexpanded"
#define AWAY_KEY					@"awayMessages"
#define MESSAGE_KEY					@"message"
#define IDLE_KEY					@"isIdleMessage"

#define NSOBJECT_KEY				@"NSObject"

#define IMAGE_KEY					@"image"
#define IMAGE_DATA_KEY				@"data"
#define FETCHING_IMAGE_KEY			@"fetching"
#define FIRE_IMAGE_KEY				@"Fire-Image-URL:"
#define LINE_FEED_SET				@"\n\r"
#define UNIX_LINE_FEED				@"\n"

#define BUDDY_CONTROLLER			@"BuddyController"
#define BUDDY_WINDOW				@"BuddyWindow"
#define LOGIN_WINDOW				@"LoginWindow"
#define CHAT_WINDOW					@"ChatWindow"
#define BUDDY_EDITOR				@"BuddyEditor"
#define GROUP_EDITOR				@"GroupEditor"
#define BUDDY_INFO					@"BuddyInfo"
#define BUDDY_SEARCH	   			@"BuddySearch"
#define PREFERENCES_WINDOW			@"Preferences"
#define AWAY_WINDOW					@"AwayWindow"

#define ONLINE_LIST_NAME			@"OnlineBuddyList"
#define SETUP_LIST_NAME				@"SetupBuddyList"

#define LOGIN_FAILURE_TOO_SOON		4


#define NON_BUDDY_GROUP				@"NonBuddyGroup"

#define IDLE_TIME_SEC				1200

// Images
#define JUST_ONLINE_IMAGE			@"LoggedOn"
#define JUST_OFFLINE_IMAGE			@"LoggedOff"
#define IMAGE_TYPE					@"tiff"
#define OPEN_FOLDER					@"open"
#define CLOSED_FOLDER				@"closed"
#define BUDDY_MINIWINDOW_IMAGE		@"BuddyWindow"
#define CHAT_MINIWINDOW_IMAGE		@"ChatWindow"
#define BUDDY_SMALL					@"BuddySmall"
#define FIRE_SMALL					@"FireSmall"
#define HAPPY_SMILEY				@"HappySmile"
#define SAD_SMILEY					@"SadSmile"


// Sound Controls
#define MSG_RECV					@"imrcv.snd"
#define MSG_SEND					@"imsend.snd"
#define FIRST_MSG					@"ring.snd"
#define BUDDY_ARRIVED				@"Dooropen.snd"
#define BUDDY_LEFT					@"DoorSlam.snd"

// UserInfo Dictionary
#define SCREENNAME					@"ScreenName"
#define PROFILE_TEXT				@"ProfileText"
#define WARN_LEVEL					@"WarnLevel"
#define STATUS						@"Status"
#define ONLINE_TIME					@"OnlineTime"
#define IDLE_TIME					@"IdleTime"
#define MEMBER_SINCE				@"MemberSince"
#define NO_PROFILE					@"No Information Provided"

// Import Export
#define UNIX						1
#define WINDOWS						2
#define MACINTOSH					3
#define FILE_EXTENSION				@"blt"
#define	WINDOWS_CRLF				@"\r\n"
#define UNIX_LF						@"\n"
#define MAC_CR						@"\r"
#define BREAK_STRING				@"@--@"
#define SPACE						@" "
#define SPACE_MARKER				@"&SP&"
#define QUOTE						@"\""

// status support
#define IDLE						0
#define AVAILABLE					1
#define AWAY						2
#define BUSY						3