/* NSStringAdditions.h created by epeyton on Sat 20-Mar-1999 */

#import <AppKit/AppKit.h>

@interface NSString (NSStringAdditions)

- (NSString *)stringByRemovingQuotesAndSpaces;
- (NSString *)stringByReplacingAllOccurancesOf:(NSString *)string1 with:(NSString *)string2;
- (NSString *)stringByRemovingCapsAndSpaces;

@end

@interface NSMutableString (NSStringAdditions)

- (NSMutableString *)stripHtmlFromString;
- (void)replaceAllOccurancesOf:(NSString *)string1 with:(NSString *)string2;


@end
